package cz.muni.fi.pb162.test3;

/**
 * Tato abstraktni trida reprezentuje nejake zeleznicni vozidlo.
 *
 * @author Petr Adamek
 */
public abstract class AbstractRailVehicle implements RailVehicle {

    private double weight;
    private double maximumSpeed;
    
    /**
     * Inicializuje tuto instanci.
     *
     * @param maximumSpeed maximalni rychlost
     * @param weight hmotnost vozidla
     */
    public AbstractRailVehicle(double weight, double maximumSpeed) {
        if (weight < 0) {
            throw new IllegalArgumentException("weight");
        }
        if (maximumSpeed < 0) {
            throw new IllegalArgumentException("maximumSpeed");
        }
        this.weight = weight;
        this.maximumSpeed = maximumSpeed;
    }

    /**
     * Vrati hmotnost vozidla.
     *
     * @return hmotnost vozidla
     */
    public double getWeight() {
        return weight;
    }

    /**
     * Vrati maximalni povolenou rychlost.
     * @return maximalni povolenou rychlost
     */
    public double getMaximumSpeed() {
        return maximumSpeed;
    }
    
}
