package cz.muni.fi.pb162.test3;

/**
 * Tato trida reprezentuje motorovy vuz (tj. vuz, ktery ma vlastni pohon, 
 * ale zaroven v nem mohou sedet lide).
 *
 * @author Petr Adamek
 */
public class MultipleUnit extends Locomotive implements PassengerCar {

    int passengerCapacity;
    
    /**
     * Vytvori novou instanci motoroveho vozu.
     *
     * @param weight hmotnost vozu
     * @param maximumSpeed maximalni rychlost
     * @param maximumWeight maximalni hmotnost tazeneho vlaku
     * @param traction zpusob trakce
     * @param passengerCapacity maximalni pocet cestujicich
     */
    public MultipleUnit(double weight, double maximumSpeed, double maximumWeight, Traction traction,
            int passengerCapacity) {
        super(weight, maximumSpeed, maximumWeight, traction);
        if (passengerCapacity < 0) {
            throw new IllegalArgumentException("passengerCapacity");
        }
        this.passengerCapacity = passengerCapacity;
    }

    /**
     * Vrati maximalni pocet cestujicich.
     *
     * @return maximalni pocet cestujicich
     */
    public int getPassengerCapacity() {
        return passengerCapacity;
    }

    /**
     * Vrati popis motoroveho vozu
     *
     * @return popis motoroveho vozu
     */
    public String toString() {
        return "MultipleUnit (weight: " + getWeight() + ", maximumWeight: " + 
                getMaximumWeight() + ", traction: " + getTraction() +
                ", passengerCapacity: " + passengerCapacity + ")";
    }
    
}
