package cz.muni.fi.pb162.test3;

/**
 * Toto rozhrani reprezentuje nejake hnaci vozidlo, tj. vozidlo ktere ma vlastni
 * pohon (lokomotivu, motorovy vuz, drezinu apod.).
 *
 * @author Petr Adamek
 */
public interface PropulsiveVehicle extends RailVehicle {

    /**
     * Vraci maximalni hmotnost v kg, kterou je toto vozidlo schopno utahnout. Do teto 
     * hmotnosti je zapocitana i vlastni hmotnost tohoto vozidla, tj. kdyz toto 
     * vozidlo vazi 80 tun a utahne 300 tun, tak maximalni hmotnost tazenych vozidel
     * nesmi presahnout 220 tun.
     *
     * @return maximalni hmotnost v kg, kterou je toto vozidlo schopno utahnout
     */
    public double getMaximumWeight();
    
    /**
     * Vraci zpusob pohonu tohoto vozidla.
     *
     * @return zpusob pohonu tohoto vozidla
     */
    public Traction getTraction();
    
}
