package cz.muni.fi.pb162.test3;

/**
 * Tato trida reprezentuje luzkovy vuz.
 *
 * @author Petr Adamek
 */
public class SleepingCar extends AbstractRailVehicle implements PassengerCar {
    
    int passengerCapacity;
    
    /**
     * Vytvori novou instanci luzkoveho vozu.
     *
     * @param weight hmotnost vozu
     * @param maximumSpeed maximalni rychlost
     * @param passengerCapacity maximalni pocet cestujicich
     */
    public SleepingCar(double weight, double maximumSpeed, int passengerCapacity) {
        super(weight, maximumSpeed);
        if (passengerCapacity < 0) {
            throw new IllegalArgumentException("passengerCapacity");
        }
        this.passengerCapacity = passengerCapacity;
    }

    /**
     * Vrati maximalni pocet cestujicich.
     *
     * @return maximalni pocet cestujicich
     */
    public int getPassengerCapacity() {
        return passengerCapacity;
    }

    /**
     * Vrati popis luzkoveho vozu
     *
     * @return popis luzkoveho vozu
     */
    public String toString() {
        return "SleepingCar (weight: " + getWeight() + 
                ", passengerCapacity: " + passengerCapacity + ")";
    }
    
    
}
